/*
 * AddFunction.java
 *
 * Created on 22  2002 ., 15:09
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class AddFunction implements FunctionHandler {
    
    /** Creates a new instance of AddFunction */
    public AddFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        int cnt = args.size();
        if (cnt < 2)
            throw new ScException("@add functions takes at least two arguments");
        double sum = 0.0;
        for (int i = 0; i < cnt; i++)
            sum += ((Expression)args.get(i)).asDouble(interp);
        return new Expression(sum);
    }
    
}
