/*
 * DumpBufferKeyword.java
 *
 * Created on 22  2002 ., 14:48
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class DumpBufferKeyword extends KeywordInstruction {
    
    /** Creates a new instance of DumpBufferKeyword */
    public DumpBufferKeyword(Lexical lexical, String source, int line, int position, 
            List arguments) throws ScException {
        super(lexical, source, line, position, arguments);
        if (arguments.size() != 1)
            throw new ScException(getErrorPos() + "dumpBuffer takes one argument");
    }
    
    public int processKeyword(Interpreter interp) throws ScException {
        interp.dumpOutputToFile(((Expression)getArguments().get(0)).asString(interp));
        return getPosition() + 1;
    }
    
}
