/*
 * GetFunction.java
 *
 * Created on 19  2002 ., 12:03
 */

package com.fn.spcave.compiler;


import java.util.Iterator;
import java.util.List;


/**
 *
 * @author  asso
 */
public class GetFunction implements FunctionHandler {
    
    /** Creates a new instance of GetFunction */
    public GetFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        if (args.size() != 1)
            throw new ScException("@get function takes exacly one argument");
        Expression expr = interp.getVariable(((Expression)args.get(0)).asString(interp));
        if (expr == null)
            return new Expression("");
        else
            return expr;
    }
    
}
