/*
 * LoadNewsFileFunction.java
 *
 * Created on 22  2002 ., 15:43
 */

package com.fn.station;


import java.io.File;
import java.util.List;
import com.fn.spcave.compiler.*;


/**
 *
 * @author  asso
 */
public class LoadNewsFileFunction implements FunctionHandler {
    
    /** Creates a new instance of LoadNewsFileFunction */
    public LoadNewsFileFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
System.out.println("loading news file");
        if (args.size() != 1)
            throw new ScException("@loadNewsFile function takes one argument");
        File f = interp.getProject().getIntlFile(interp.getCurrentDir(), 
                    interp.getLocale(), ((Expression)args.get(0)).asString(interp));
        Expression e = new Expression((Object)new NewsFile(f));
        return e;
    }    
}
