/*
 * LeqFunction.java
 *
 * Created on 22  2002 ., 15:07
 */

package com.fn.spcave.compiler;


import java.util.List;


/**
 *
 * @author  asso
 */
public class GeqFunction implements FunctionHandler {
    
    /** Creates a new instance of LeqFunction */
    public GeqFunction() {
    }
    
    public Expression processFunction(Interpreter interp, List args) throws ScException {
        if (args.size() != 2)
            throw new ScException("@leq functions takes two arguments");
        double v1 = ((Expression)args.get(0)).asDouble(interp);
        double v2 = ((Expression)args.get(1)).asDouble(interp);
        return new Expression(v1 >= v2);
    }
    
}
